PUT openApi/followUpActivities/{followUpActivityId}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| followUpActivityId | globally unique identifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "230dfed3-360d-4da8-99e0-36021ac20dba",
"StudentId": "8bbd9d66-fcec-4e76-81c1-e2ed20777cf5",
"ReporterId": "25858b0d-4e1c-4fae-9eec-e8473d64c5ba",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-11-06T15:17:04.4950001+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "68f043c0-d93a-4855-9657-02cd74b5eedc",
"Name": "sample string 2"
}
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.